Package io.github.jdbcx.driver

# Class QueryParser.Part

java.lang.Object
io.github.jdbcx.driver.QueryParser.Part

Enclosing class:
  QueryParser

public static final class QueryParser.Part extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`endPosition`
`final String`
`escaped`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### endPosition

public final int endPosition

### escaped

public final String escaped

## Method Details

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`